Bug 466692 - Review Request: iml - Finds solutions to systems of linear equations over integers
Summary: Review Request: iml - Finds solutions to systems of linear equations over int...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-10-12 22:06 UTC by Conrad Meyer
Modified: 2008-10-20 01:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 01:59:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Conrad Meyer 2008-10-12 22:06:47 UTC
Spec URL: http://konradm.fedorapeople.org/fedora/SPECS/iml.spec
SRPM URL: http://konradm.fedorapeople.org/fedora/SRPMS/iml-1.0.2-1.fc9.src.rpm
Description:
IML package provides efficient routines to solve nonsingular systems of
linear equations, certified solve any shape systems of linear equations,
and perform mod p matrix operations, such as computing row-echelon form,
determinant, rank profile, inverse of a mod p matrix.

Comment 1 Patrice Dumas 2008-10-17 18:38:26 UTC
I don't think it makes sense to package a main iml package with only
doc, just put everything in -devel.

doc/liblink should be shipped.

I don't really like the name, it is very short and prone to conflicts, see
http://fedoraproject.org/wiki/PackageMaintainers/Packaging_Tricks#Use_of_common_namespace

I doubt that upstream is willing to reconsider th ename, though.

I propose adding 

%check
make check

You could ship ChangeLog if you feel like it.

rpmlint gives:
iml.i386: E: no-binary
iml-devel.i386: W: no-documentation
iml-debuginfo.i386: E: empty-debuginfo-package

The 2 first should be fixed by removing main package.

You can fix the 3rd if you want to (it is mandated by the guidelines,
but I disagree, and I will approve even with this issue).

Comment 3 Patrice Dumas 2008-10-19 10:22:29 UTC
* rpmlint gives:
iml-debuginfo.i386: E: empty-debuginfo-package
which is against the guidelines, but I don't think this is important (and
besides I think it is a bug in rpm, not to have debug info extracted from static libs).

* follow relevant guidelines
* free software, no license included because upstream doesn't ship a license consistent with the code
* match upstream:
03a2e361bf9574ae8d32c19a392eeb66  iml-1.0.2.tar.gz
* all static correctly packaged library
* %files section right

One suggestion, use
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p' too tentatively
keep header file timestamps.

Also you should contact upstream to ask them to change the COPYING
file. (well in fact the license isn't that clear when repl/ is used, 
but it isn't th ecase in fedora, and in any case they should clarify 
the license).

APPROVED

Comment 4 Conrad Meyer 2008-10-19 10:34:25 UTC
Thanks for the suggestions, I really value them.

New Package CVS Request
=======================
Package Name: iml
Short Description: Finds solutions to systems of linear equations over integers
Owners: konradm
Branches: F-10 F-9
InitialCC:

Comment 5 Kevin Fenzi 2008-10-19 22:24:38 UTC
cvs done.

Comment 6 Conrad Meyer 2008-10-20 01:59:27 UTC
Built in rawhide [0], closing.

[0]: http://koji.fedoraproject.org/koji/taskinfo?taskID=889730


Note You need to log in before you can comment on or make changes to this bug.